Aggregate verdict and personal data counts over a time window
curl --request GET \
--url https://platform.blindsight.io/api/runtime-security/analytics \
--header 'X-API-Key: <api-key>'import requests
url = "https://platform.blindsight.io/api/runtime-security/analytics"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://platform.blindsight.io/api/runtime-security/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.blindsight.io/api/runtime-security/analytics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.blindsight.io/api/runtime-security/analytics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.blindsight.io/api/runtime-security/analytics")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.blindsight.io/api/runtime-security/analytics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"range_days": 7,
"range_minutes": 10080,
"bucket_seconds": 86400,
"totals": {
"total": 6200,
"input": 4100,
"output": 2050,
"tool_call": 50,
"pii_hits": 210,
"injection_hits": 31
},
"verdict_breakdown": {
"allow": 5950,
"flag": 12,
"redact": 210,
"block": 28
},
"pii_category_breakdown": {
"email": 120,
"phone": 55,
"person": 35
},
"avg_latency_ms": null,
"p95_latency_ms": null,
"series": [
{
"date": "2026-10-28",
"allow": 850,
"flag": 2,
"redact": 30,
"block": 4,
"total": 886
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Analytics
Aggregate verdict and personal data counts over a time window
Requires the runtime:events:read permission.
GET
/
api
/
runtime-security
/
analytics
Aggregate verdict and personal data counts over a time window
curl --request GET \
--url https://platform.blindsight.io/api/runtime-security/analytics \
--header 'X-API-Key: <api-key>'import requests
url = "https://platform.blindsight.io/api/runtime-security/analytics"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://platform.blindsight.io/api/runtime-security/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.blindsight.io/api/runtime-security/analytics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.blindsight.io/api/runtime-security/analytics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.blindsight.io/api/runtime-security/analytics")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.blindsight.io/api/runtime-security/analytics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"range_days": 7,
"range_minutes": 10080,
"bucket_seconds": 86400,
"totals": {
"total": 6200,
"input": 4100,
"output": 2050,
"tool_call": 50,
"pii_hits": 210,
"injection_hits": 31
},
"verdict_breakdown": {
"allow": 5950,
"flag": 12,
"redact": 210,
"block": 28
},
"pii_category_breakdown": {
"email": 120,
"phone": 55,
"person": 35
},
"avg_latency_ms": null,
"p95_latency_ms": null,
"series": [
{
"date": "2026-10-28",
"allow": 850,
"flag": 2,
"redact": 30,
"block": 4,
"total": 886
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Blindsight API key (ak_...). The permissions it needs are listed in
the API description and on each operation: runtime:scan for scan and
proxy routes, runtime:events:read for events, analytics, drift,
health and service status, runtime:config:read to read the
configuration and runtime:config:write to change it.
Query Parameters
Response
Aggregates

